Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1190466 - HEAP_MAX default value as 1G must be changed
Summary: HEAP_MAX default value as 1G must be changed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-reports
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.1
Assignee: Yedidyah Bar David
QA Contact: Yuri Obshansky
URL:
Whiteboard: integration
: 1196062 (view as bug list)
Depends On: 1188972
Blocks: oVirt_3.5.2_tracker
TreeView+ depends on / blocked
 
Reported: 2015-02-08 10:16 UTC by rhev-integ
Modified: 2015-04-28 18:14 UTC (History)
20 users (show)

Fixed In Version: vt14 rhevm-reports-3.5.1-11.el6ev
Doc Type: Bug Fix
Doc Text:
Clone Of: 1188972
Environment:
Last Closed: 2015-04-28 18:14:24 UTC
oVirt Team: ---
Target Upstream Version:
ylavi: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0905 normal SHIPPED_LIVE rhevm-reports 3.5.1 bug fix update 2015-04-28 22:14:16 UTC
Red Hat Product Errata RHSA-2015:0888 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.5.1 update 2015-04-28 22:40:04 UTC
oVirt gerrit 37293 None None None Never
oVirt gerrit 37437 None None None Never
oVirt gerrit 37438 None None None Never
oVirt gerrit 37500 master MERGED packaging: setup: Make reports heap size configurable Never
oVirt gerrit 37501 None None None Never
oVirt gerrit 37577 ovirt-engine-reports-3.5 MERGED packaging: setup: Make reports heap size configurable Never

Comment 1 Yuri Obshansky 2015-02-08 13:09:04 UTC
RHEV-M's JVM Heap Size value is very depended on setup (how many Hosts/Storages and VMs). I didn't change default value of 1G during my performance tests and I didn't encounter with Out Of Memory exception in spite of using non-powerful server for engine - 8 CPUs and 16 G RAM. My setup was 1 DC/Cluster/1-2 Hosts/1-2 Storages/ 100-200 VMs. 
Please, take a look my last test results to get the full picture.   
https://mojo.redhat.com/docs/DOC-1011650
https://mojo.redhat.com/groups/rhev-m-scalability-performance-team/projects/rhev-m-35-scalability-performance-tests
It will be a great to share customer problematic RHEV-M configuration and setup.
(hardware and software configuratio, RHEV-M Setup - DC/Cluster/Hosts/Storages/VMS).
My opinion is:
- we don't need change default value of 1G. It will be required only on specific configuration which could be done by customer as well.
- we need perform tuning tests and publish tuning tips. There is impossible to test all configurations thus we require an input from our support with customers common used RHEV-M configuration and setup.

Comment 2 Yedidyah Bar David 2015-02-08 13:54:46 UTC
Let's continue the discussion on bug 1185411. Current bug is for Reports, which is a somewhat different issue.

Comment 3 Sandro Bonazzola 2015-02-20 11:07:41 UTC
Automated message: can you please update doctext or set it as not required?

Comment 5 Yuri Obshansky 2015-03-04 09:10:06 UTC
I think, the current solution did not fully resolve a requirement to set automatically JVM Memory Heap Size.
1. -Xmx and -Xms should be set to a multiple of 1024 
i.e. 1024M, 2048M, 3072, 4096, etc.
refer to http://docs.oracle.com/cd/E13222_01/wls/docs81/perform/JVMTuning.html#1110613
2. What about -XX:PermSize=256m -XX:MaxPermSize=256m?
I suppose, that a permanent generation size should be increased accordingly to Heap Size. Definitely, it requires additional tuning to understand how many our application requires memory to load classes and static on start-up.
Need to take in account that summary memory used by engine will be calculate like -Xmx + MaxPermSize and permanent generation won't be garbage collected.

Comment 6 Sandro Bonazzola 2015-03-12 12:14:46 UTC
Moving back to on QA since the change requested in the original description of the bug has been fixed.
If further improvement of the automation used for setting automatically JVM Memory Heap Size is needed, please open a new RFE for it.

Comment 7 Yuri Obshansky 2015-03-12 13:01:54 UTC
Successfully verified on RHEV-M 3.5.1-0.1 (build vt14).

Comment 8 Oved Ourfali 2015-03-31 07:19:14 UTC
*** Bug 1196062 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2015-04-28 18:14:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0905.html


Note You need to log in before you can comment on or make changes to this bug.